org.eclipse.emf.cdo.admin

## Interface CDOAdminClient

- All Superinterfaces:
    CDOAdmin, Closeable, IContainer<CDOAdminRepository>, INotifier

      public interface CDOAdminClient
      extends CDOAdmin

  A client-side `administrative interface`.

  It can fire the following events:

  - `CDOAdminClient.ConnectionStateChangedEvent` after the connection `state` has changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOAdminClient.ConnectionStateChangedEvent` An `event` fired from a client-side `administrative interface` after the connection `state` has changed.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.admin.CDOAdmin

      `DEFAULT_TYPE, PROPERTY_SECURITY_HOME_FOLDERS, PROPERTY_SECURITY_MANAGER, PROPERTY_STORE_XML_CONFIG`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOAdminClientRepository` | `createRepository(java.lang.String name, java.lang.String type, java.util.Map<java.lang.String,java.lang.Object> properties)` Creates a new remote `repository` and returns its administrative interface.
    `IConnector` | `getConnector()`
    `CDOAdminClientRepository[]` | `getRepositories()`
    `CDOAdminClientRepository` | `getRepository(java.lang.String name)`
    `java.lang.String` | `getURL()`
    `boolean` | `isConnected()`
    `CDOAdminClientRepository` | `waitForRepository(java.lang.String name)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getURL

          java.lang.String getURL()

    - #### isConnected

          boolean isConnected()

    - #### getConnector

          IConnector getConnector()

    - #### getRepositories

          CDOAdminClientRepository[] getRepositories()

      Specified by:
        `getRepositories` in interface `CDOAdmin`

    - #### getRepository

          CDOAdminClientRepository getRepository(java.lang.String name)

      Specified by:
        `getRepository` in interface `CDOAdmin`

    - #### createRepository

          CDOAdminClientRepository createRepository(java.lang.String name,
                                                    java.lang.String type,
                                                    java.util.Map<java.lang.String,java.lang.Object> properties)

      Description copied from interface: `CDOAdmin`
      Creates a new remote `repository` and returns its administrative interface.

      On the server-side the creation is delegated to an instance of `org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler` that is registered with the server's `container` under the given `type` argument. The `name` and `properties` arguments are passed on to the registered handler.

      Specified by:
        `createRepository` in interface `CDOAdmin`

    - #### waitForRepository

          CDOAdminClientRepository waitForRepository(java.lang.String name)

      Specified by:
        `waitForRepository` in interface `CDOAdmin`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html